#include "Board.h"
#include "delay.h"
#define __inline static inline
#include "lib_AT91SAM7S256.h"

void fiqisr (void);
extern	void LowLevelInit(void);
extern void AT91F_Fiq_Handler (void);
extern	unsigned enableIRQ(void);
extern	unsigned enableFIQ(void);
unsigned int	FiqCount = 0;		// global uninitialized variable
#define FIQ_INTERRUPT_LEVEL	0

int main (void)	{
volatile AT91PS_AIC	pAic = AT91C_BASE_AIC;
volatile AT91PS_PIO	pPIO = AT91C_BASE_PIOA;				// pointer to PIO data structure
	pPIO->PIO_PER = LED_MASK | Button1;					// PIO Enable Register - allow PIO to control pins P0 - P3 and pin 19
	pPIO->PIO_OER = LED_MASK;							// PIO Output Enable Register - sets pins P0 - P3 to outputs
	pPIO->PIO_SODR = LED_MASK;							// PIO Set Output Data Register - turns off the four LEDs

	
// Select PA19 (pushbutton) to be FIQ function (Peripheral B)
	pPIO->PIO_BSR = Button1;
//* open  FIQ interrupt
	AT91F_PIO_CfgPeriph (AT91C_BASE_PIOA,Button1,0);
	AT91F_AIC_DisableIt (pAic, AT91C_ID_FIQ);
	pAic->AIC_FFER = (1<<AT91C_ID_FIQ);
	AT91F_AIC_ConfigureIt ( pAic, AT91C_ID_FIQ, FIQ_INTERRUPT_LEVEL,AT91C_AIC_SRCTYPE_EXT_NEGATIVE_EDGE, AT91F_Fiq_Handler);
	AT91F_AIC_ClearIt (pAic, AT91C_ID_FIQ); 
	AT91F_AIC_EnableIt (pAic, AT91C_ID_FIQ);
	enableFIQ();	
	
while (1) {
		Delay(2000);
		if  ((pPIO->PIO_ODSR & LED1) == LED1)	{		// read previous state of LED1
			pPIO->PIO_CODR = LED1;
		} else {
			pPIO->PIO_SODR = LED1;		
		}		
	}
}

